Page MenuHomePhabricator

terminology + efl 1.20.* = 100% CPU at times, and locking up E, eventual crash
Closed, ResolvedPublic

Description

This is a long time issue. It has remained across a few versions of EFL and Terminology. I thought it was Firefox. But I have experienced this without Firefox and ~15 Terminology windows. I do not think its Terminology, but deeper issues in EFL which terminology triggers. Though could be bug in Terminology code.

It takes some time to trigger. Seems to happen when I am deep in work with many terminals, and history in each. I have on idea on a trigger or cause. I cannot replicate. I just know it continues to occur and is very frustrating. I must restart E and resume all terminals and work.

Not sure if anything can be done, given the vagueness of this report. Mostly a issue tracker, for when ever I no longer experience this to close. Till then something for others to at least be aware of in case others run into it. Maybe someday I can look to debug.

I built EFL with debugging symbols, and it blew up E big time. Many things became non functional, My pinentry-efl would not launch, many things broke. Lots of output on unable to lock. I can see about doing that again and opening a bug on such. At this time given those issues I cannot provide useful crash output.

At this time nothing else triggers the issue other than Terminology. Though I can replicate a oom via ecrire and large files. Not sure if related. I know I have experiened 100% CPU with EFM, but that seems to have been resolved. Though I do not use EFM much so it may still occur, just has not for me in some time due to minimal usage.

wltjr created this task.Oct 4 2017, 9:19 AM
wltjr added a comment.Oct 5 2017, 4:03 PM

This happens daily, if not several times a day. It just happened now with 16 terminology windows. I closed 11 of them and it recovered. No other apps open or running. EFL 1.20.4, Termonlogy 1.1.1, E 0.22.0 beta.

wltjr added a comment.Oct 5 2017, 5:19 PM

This has happened 3 times since. After the 2nd time I rebooted my entire machine. It just happened again with 10 terminals in under 30 minutes. Rather than rolling back EFL and E. I will likely install and switch to another terminal. Since I am not running anything other than Terminology. Sometimes I can catch it in time as I did twice. The 3rd time happened so fast. Before I could even ssh into my desktop from laptop it had crashed E.

Not sure if it will help, doubtful

[ 1930.403510] Evas-preload[14566]: segfault at 28 ip 00007fe07960befc sp 00007fe052d50e00 error 4 in libevas.so.1.20.4[7fe079503000+242000]
wltjr added a comment.Oct 13 2017, 6:43 AM

I have not experienced this since Oct 5th. I have upgrade xorg since then from 1.19.3 to 1.19.4, along with drivers. Not sure if the problem was in that. Going back to e 22 from git to see about other bugs. But seemed this was more EFL than e, as I recall running into this long before e 0.22.0 alpha or beta.

bu5hm4n triaged this task as High priority.Jun 11 2018, 1:49 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
bu5hm4n edited projects, added efl: widgets, efl: main loop; removed Restricted Project.Jun 11 2018, 7:53 AM
zmike closed this task as Resolved.Jun 22 2018, 7:37 AM
zmike claimed this task.
zmike added a subscriber: zmike.

Author reported not having experienced this before being banned, ticket closed.